Skip to main content
GET
/
v1
/
ais
Get AIs
curl --request GET \
  --url https://api.gbase.ai/v1/ais \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

Search by robot name or description

company_id
string

Company ID. If provided, returns company resources; if not, returns personal resources

user_ids
string[]

List of user IDs to get bots for. Returns grouped format: [{user_id, bots: [...]}]

tag_ids
string[]

Filter by robot tag IDs. Robots must have ALL specified tags (AND logic).

page
integer
default:1
Required range: x >= 1
size
integer
default:50
Required range: 1 <= x <= 1000
order_by
string

Response

Successful Response